Package org.bukkit.metadata

# Class MetadataEvaluationException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.bukkit.metadata.MetadataEvaluationException

All Implemented Interfaces:
  `Serializable`

public class MetadataEvaluationException extends RuntimeException
A MetadataEvaluationException is thrown any time a `LazyMetadataValue` fails to evaluate its value due to an exception. The originating exception will be included as this exception's cause.

See Also:
  - Serialized Form

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`